clear;
close all;
load('OccipitalData1.mat');

O1 = Data(1,:);
O2 = Data(2,:);
Oz = Data(3,:);
AvgOcp    = (O1 + O2 + Oz)/3;
EyeOpen   = AvgOcp(Time>0   & Time<300);
EyeClose  = AvgOcp(Time>300 & Time<600);


[FreqsOpen, FtOpen] = MyFT(EyeOpen, 1000, 'a');

Signal       = log(FtOpen);
SmoothedSignal = smooth(Signal,101);


[FreqsClose, FtClose] = MyFT(EyeClose, 1000, 'a');

FtOpendB  = 20*log10(FtOpen);
FtClosedB = 20*log10(FtClose);

FtOpendBSmoothed  = smooth(FtOpendB,151);
FtClosedBSmoothed = smooth(FtClosedB,151);

hold on;
plot(FreqsOpen,FtOpendBSmoothed,'b');
plot(FreqsClose,FtClosedBSmoothed,'r');
xlim([0,100]);
xlabel('Frequency(Hz)','FontSize',16)
ylabel('Amplitude(dB)','FontSize',16);
legend('Eye Open','Eye Close');
