clear;
close all;
load('OccipitalData1.mat');

O1 = Data(1,:);
O2 = Data(2,:);
Oz = Data(3,:);

AvgOcp    = (O1 + O2 + Oz)/3;
Fs        = 1000;

SignalSize = length(AvgOcp);
WindowSize = 1024;
JumpSize   = WindowSize/4;


FreqVec      = linspace(-Fs/2,Fs/2,WindowSize);
nFreqPoints  = sum(FreqVec>=0);
nTimePoints  = ceil((SignalSize-WindowSize)/JumpSize);
TimeVec      = (WindowSize/2 + ((0:1:(nTimePoints-1))*JumpSize))/Fs;
Power         = zeros(nFreqPoints, nTimePoints);            % form the stft matrix

StartIdx = 0;
for t = 1:nTimePoints
    Window      =  AvgOcp(StartIdx+1:StartIdx+WindowSize);
    [FreqVec, i_power] = MyFT(Window, 1000, 'p');
    Power(:, t)  = i_power;
    StartIdx    = StartIdx + JumpSize;
end

ThetaPower = mean(Power(FreqVec>4 & FreqVec<8,:),1);
AlphaPower = mean(Power(FreqVec>8 & FreqVec<15,:),1);

ThetaPowerdB = 10*log10(ThetaPower);
AlphaPowerdB = 10*log10(AlphaPower);

ThetaPowerdBSmoothed = smooth(ThetaPowerdB,151);
AlphaPowerdBSmoothed = smooth(AlphaPowerdB,151);

hold on;
plot(TimeVec,ThetaPowerdBSmoothed,'r');
plot(TimeVec,AlphaPowerdBSmoothed,'b');
legend('Theta','Alpha');
xlabel('Time(sec)');
ylabel('PSD');

